windows2003安装 php5.3 fcgi 模式 加载 zend guard loader 5.5

apache 2.2 就不说了

php 5.3.14 下载 要用nts 版本 VC9 x86 Non Thread Safe

http://windows.php.net/downloads/releases/php-5.3.14-nts-Win32-VC9-x86.zip

下载 apache mod_fcgi 到这 http://www.apachelounge.com/download/  现在 apache 2.2 版本的mod_fcgi 哦

下面是个例子  具体文档要参考 http://httpd.apache.org/mod_fcgid/mod/mod_fcgid.html

LoadModule fcgid_module modules/mod_fcgid.so
<IfModule mod_fcgid.c>
AddHandler fcgid-script .fcgi .php
FcgidInitialEnv PHPRC "D:\APMServ5.2.6\PHP5.3"
FcgidInitialEnv PHP_FCGI_MAX_REQUESTS 1000
FcgidMaxRequestsPerProcess 1000
FcgidMaxProcesses 5
FcgidIOTimeout 120
FcgidIdleTimeout 120
FcgidWrapper "D:\APMServ5.2.6\PHP5.3\php-cgi.exe" .php
</IfModule>

至于 php 5.3 支持 zend guard loader ,这比较简单,前提就是一条,必须是 fcgi 模式的php 才行,而mod_php 形式是无法支持 zend guard loader 5.5 的,切记,切记!!!

 

发表评论

电子邮件地址不会被公开。 必填项已用*标注